Subject: [TR] TR4A Progress

From: "Dave Connitt" <[email-masked]>
Date: Sun, 22 Sep 2013 10:00:53 -0400

I just have to figure out why my instrument lights aren't working and I will
have all my electrical issues resolved. I can't believe it but I am about
ready to get license plates so I can start driving it! Still need to finish
the interior and get a new top but I can at least start driving it.
I do have one question maybe someone can help me with. What thread size is the
3 little screws that hold the scuttle vent to the cowl? I have lost the
originals. I am pretty sure it is a machine thread and not a self tapping.
Thanks,
Dave Connitt

** [email-masked] **

Archive: http://www.team.net/archive